require 'spec_helper'
describe Article do
  context "titleとbodyを指定した場合" do
    subject { Article.new(:title => "初めてのブログ", :body  => "最初の記事です。") }
    its(:title) { should == "初めてのブログ" }
    its(:body)  { should == "最初の記事です。" }
  end
  context "titleが設定されていない場合" do
    subject { Article.new }
    it { should_not be_valid }
  end
  context "titleが設定されている場合" do
    subject { Article.new(:title => "テストタイトル") }
    it { should be_valid }
  end
end
