require 'spec_helper'

describe ArticlesController do
  describe "GET 'index'" do
    before do
      @article_1 = Article.create(:title => "First Post", :body  => "Hello")
      @article_2 = Article.create(:title => "First Post", :body  => "Hello")
      get 'index'
    end
    it "should be successful" do
      response.should be_success
    end
    it "登録されている記事を全て返すこと" do
      assigns[:articles].should =~ [@article_1, @article_2]
    end
  end
end
