# -*- coding: utf-8 -*-
require 'spec_helper'

describe "記事の投稿機能" do
  it "記事を新規作成できること" do
    visit "/articles/new"

    fill_in 'article_title', :with => "テスト用のタイトル"
    fill_in 'article_body', :with => "テスト用のエントリ"

    click_button "投稿"

    page.should have_content "テスト用のタイトル"
    page.should have_content "テスト用のエントリ"
  end
end
